CS::Animation::AnimNodeManagerCommon< ThisType, ManagerInterface, FactoryType > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

CS::Animation::AnimNodeManagerCommon< ThisType, ManagerInterface, FactoryType > Class Template Reference

Template class for animation node plugin managers. More...

`#include <cstool/animnodetmpl.h>`

Inheritance diagram for CS::Animation::AnimNodeManagerCommon< ThisType, ManagerInterface, FactoryType >:

List of all members.

## Public Member Functions
iComponent implementation
bool | Initialize (iObjectRegistry *object_reg)
| Initialize the component.

## Detailed Description

### template<typename ThisType, typename ManagerInterface, typename FactoryType>
class CS::Animation::AnimNodeManagerCommon< ThisType, ManagerInterface, FactoryType >

Template class for animation node plugin managers.

Usage:

- Your node manager class must descend from AnimNodeManagerCommon.
- ThisType must be the name of your node manager class, eg DebugNodeManager.
- ManagerInterface must be the interface type of your node manager, eg CS::Animation::iSkeletonDebugNodeManager.
- FactoryType is the node factory to be manipulated by your node manager, eg DebugNodeFactory.

Here is an example of definition and implementation:

     class DebugNodeManager
       : public CS::Animation::AnimNodeManagerCommon
                   <DebugNodeManager,
                    CS::Animation::iSkeletonDebugNodeManager,
                    DebugNodeFactory>
     {
     public:
       DebugNodeManager (iBase* parent)
        : AnimNodeManagerCommonType (parent) {}
     };

Definition at line 64 of file animnodetmpl.h.

## Member Function Documentation

template<typename ThisType , typename ManagerInterface , typename FactoryType >

bool CS::Animation::AnimNodeManagerCommon< ThisType, ManagerInterface, FactoryType >::Initialize | ( | iObjectRegistry * |  | ) | `[inline, virtual]`

Initialize the component.

This is automatically called by system driver at startup so that plugin can do basic initialization stuff, register with the system driver and so on.

Implements iComponent.

Definition at line 101 of file animnodetmpl.h.

The documentation for this class was generated from the following file:

- cstool/animnodetmpl.h